Skip to content

Get loan by ID

Request

Security
oauth2(Required scopes: loan:read) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

Query
includeAdditionalBorrowersboolean

If set to true, include the addtionalBorrowers field containing information about other borrowers related to this loan, e.g., cosigner, coborrowers, and applicants.

Default:false
GET
/people/{personId}/loans/{loanId}
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}?includeAdditionalBorrowers=false' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataInstallment (object) or Line of Credit (object)(Loan)
Any of:

Represents a loan. A loan always belongs to a borrower, and most of the interactions between a lender and a borrower are associated with a particular loan.

Response
{ "message": "string", "status": 0, "data": { "id": "string", "loanTypeId": "string", "additionalBorrowers": [ … ], "assetDisplayName": "string", "cancellationReason": "technicalIssue", "declineReason": { … }, "displayId": "string", "endDate": "2019-08-24", "externalId": "string", "labels": [ … ], "metaData": {}, "timestamps": { … }, "assetType": "personalClosedEndUnsecured", "chargedOffReason": "term", "companyId": "string", "mainBorrowerId": "string", "migration": { … }, "amountsValidation": { … }, "aprEffectiveAtActivation": 0.1, "aprNominalAtActivation": 0.1, "atActivation": { … }, "atOrigination": { … }, "current": { … }, "isClosed": true, "muteLoanNotices": true, "nickname": "string", "object": "installment", "ratesValidation": { … }, "servicedBy": "creditor", "status": "pending", "type": "installment" } }